// ENUNCIADO: _mixins.scss

@import 'variables';


// ENUNCIADO: mixins para los encabezados, h1
@mixin title1 {
    font-size: 2rem;
    font-weight: normal;
    margin: 0;
}


// ENUNCIADO: mixin para centrar el contenido
@mixin center-text {
    text-align: center;
}
@mixin center-content {
    display: flex;
    justify-content: center;
}

// ENUNCIADO: mixin para estilos del form
@mixin base-form {
    display: block;
    .form-group {
        margin-bottom: .5rem;
        label {
            display: block;
            margin-bottom: .5rem;
        }
        .form-control {
            height: $form-control-height;
            border: 1px solid $form-control-border-color;
            color: #222B46;
            border-radius: 0.25rem;
            outline: none;
            box-shadow: none;
            display: block;
            width: 100%;
            padding: .6rem;
            font-size: 1rem;
            font-family: inherit;
            background-color: #f7f9fc;
            &::placeholder {
                color: #a7b0c4;
            }

            // ENUNCIADO: Anidar los estilos de los elementos dentro del form, para que se resalten cuando tenga el foco
            &:focus {
                background-color: white;
            }
            
        }
        textarea.form-control {
            height: auto;
            min-height: $form-control-height;
            resize: vertical;
        }
    }
    .form-actions {
        margin-top: .75rem;
        .form-action {
            background-color: #00d68f;
            border-color: #00d68f;
            color: white;

            // ENUNCIADO: Anidar los estilos de los botones del form, para que se apliquen estilos específicos en el hover de ellos
            // ENUNCIADO: Anidar los estilos de los elementos dentro del form, para que se resalten cuando tenga el foco
            &:hover, &:focus {
                background-color: #00b887;
                border-color: #00997a;
            }
        }
    }
}

@mixin reset-list {
    list-style: none;
    padding: 0;
}